Notify API reference

Notify API · Channels

get/v1/workspaces/{workspace_id}/channels/webpushAuth

Get the web push public key

The VAPID public key browsers subscribe with (`applicationServerKey`), or `configured: false` before one is generated or imported.

Path parameters

workspace_id*string · uuid

Id of the workspace.

Response · 200 The web push channel.

configured*boolean

Whether the workspace has an active VAPID key (web push can send).

public_key*string

The public key for `applicationServerKey`; null until a key is generated or imported.

credential_id*string · uuid

The credential id of the active key.

origin*object

How the active key was created (`generated` or `imported`).

fingerprint*string

Fingerprint of the active private key.

created_at*string · date-time

When the active key was created.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/channels/webpush
Authorization: Bearer YOUR_TOKEN

Response

{
  "configured": false,
  "public_key": "string",
  "credential_id": "00000000-0000-0000-0000-000000000000",
  "origin": {},
  "fingerprint": "string",
  "created_at": "2026-01-01T00:00:00.000Z"
}